Package org.bedework.synch.wsmessages

# Class SynchRemoteService

java.lang.Object
javax.xml.ws.Service
org.bedework.synch.wsmessages.SynchRemoteService

@WebServiceClient(name="SynchRemoteService", targetNamespace="http://www.bedework.org/synch/wsmessages", wsdlLocation="file:/Users/mike/bedework/quickstart-dev/bw-synch/bw-synch-ws-xml/target/sources/wsdls/wssvc.wsdl") public class SynchRemoteService extends javax.xml.ws.Service
This class was generated by the JAX-WS RI. JAX-WS RI 2.3.6 Generated source version: 2.2

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.xml.ws.Service

  `javax.xml.ws.Service.Mode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynchRemoteService()`
  `SynchRemoteService(URL wsdlLocation)`
  `SynchRemoteService(URL wsdlLocation, QName serviceName)`
  `SynchRemoteService(URL wsdlLocation, QName serviceName, javax.xml.ws.WebServiceFeature... features)`
  `SynchRemoteService(URL wsdlLocation, javax.xml.ws.WebServiceFeature... features)`
  `SynchRemoteService(javax.xml.ws.WebServiceFeature... features)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SynchRemoteServicePortType`
  `getSynchRSPort()`
  `SynchRemoteServicePortType`
  `getSynchRSPort(javax.xml.ws.WebServiceFeature... features)`

  ### Methods inherited from class javax.xml.ws.Service

  `addPort, create, create, create, create, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, getExecutor, getHandlerResolver, getPort, getPort, getPort, getPort, getPort, getPorts, getServiceName, getWSDLDocumentLocation, setExecutor, setHandlerResolver`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SynchRemoteService

    public SynchRemoteService()

  - ### SynchRemoteService

    public SynchRemoteService(javax.xml.ws.WebServiceFeature... features)

  - ### SynchRemoteService

    public SynchRemoteService(URL wsdlLocation)

  - ### SynchRemoteService

    public SynchRemoteService(URL wsdlLocation, javax.xml.ws.WebServiceFeature... features)

  - ### SynchRemoteService

    public SynchRemoteService(URL wsdlLocation, QName serviceName)

  - ### SynchRemoteService

    public SynchRemoteService(URL wsdlLocation, QName serviceName, javax.xml.ws.WebServiceFeature... features)

- ## Method Details

  - ### getSynchRSPort

    @WebEndpoint(name="SynchRSPort") public SynchRemoteServicePortType getSynchRSPort()
    Returns:
      returns SynchRemoteServicePortType

  - ### getSynchRSPort

    @WebEndpoint(name="SynchRSPort") public SynchRemoteServicePortType getSynchRSPort(javax.xml.ws.WebServiceFeature... features)
    Parameters:
      `features` - A list of `WebServiceFeature` to configure on the proxy. Supported features not in the `features` parameter will have their default values.
    Returns:
      returns SynchRemoteServicePortType